public class AnArrayDeFichasV2 {
    public static int MIDA = 5;
    public static void main(String[] args) {
        Ficha[] arrayFichas = new Ficha[MIDA];
        // Ahora con fichas al azar!
        for (int i = 0; i < MIDA; i++) {
            arrayFichas[i] = new Ficha((int) (Math.random() * Ficha.MAX_NUM),
                    (int) (Math.random() * Ficha.MAX_NUM));
        }
        System.out.print("arrayInts con for clasico: \t");
        for (int i = 0; i < arrayFichas.length; i++) {
            System.out.print(arrayFichas[i] + ", ");
        }
        System.out.println();
        System.out.print("arrayInts con foreach:     \t");
        for (Ficha f : arrayFichas) {
            System.out.print(f + ", ");
        }
        System.out.println();
        // System.out.println(arrayFichas[-1]); // Exception!
        // System.out.println(arrayFichas[5]); // Exception!
    }
}
